Package org.jboss.resteasy.security.doseta

## Class UnauthorizedSignatureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure
        - - org.jboss.resteasy.spi.ReaderException
          - - org.jboss.resteasy.security.doseta.UnauthorizedSignatureException

- All Implemented Interfaces:
    `Serializable`

      public class UnauthorizedSignatureException
      extends ReaderException

  Thrown by RESTEasy when HTTP Unauthorized (401) is encountered
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected VerificationResults` | `results` |

    - ### Fields inherited from class org.jboss.resteasy.spi.Failure

      `errorCode, loggable, response`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnauthorizedSignatureException​(String reason)` |
    `UnauthorizedSignatureException​(VerificationResults results)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `failedVerifierMessage​(VerificationResults results)` |
    `VerificationResults` | `getResults()` |

    - ### Methods inherited from class org.jboss.resteasy.spi.Failure

      `getErrorCode, getResponse, isLoggable, setErrorCode, setLoggable, setResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### results

          protected VerificationResults results

  - ### Constructor Detail

    - #### UnauthorizedSignatureException

          public UnauthorizedSignatureException​(String reason)

    - #### UnauthorizedSignatureException

          public UnauthorizedSignatureException​(VerificationResults results)

  - ### Method Detail

    - #### failedVerifierMessage

          public static String failedVerifierMessage​(VerificationResults results)

    - #### getResults

          public VerificationResults getResults()